Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.support.scanning
Interface ConfigurationScanner

All Known Implementing Classes:
  BlueprintConfigurationScanner, DefaultConfigurationScanner

    public interface ConfigurationScanner

Convenience scanner locating suitable Spring configurations inside an OSGi bundle. This interface can be implemented to customize Spring-DM default definition of a 'Spring-powered' bundle by using different locations or supplying defaults for bundles that do not provide a proper configuration.

Additionally, non-XML configurations (for example annotation-based) can be plugged in. This would normally imply a custom application context creator as well.

Note:It is strongly recommended that the default locations (`META-INF/spring/*.xml` or `Spring-Context` manifest header) are supported (through chaining or by extending the default implementation) to avoid breaking bundles using them.

This interface is intended for usage with the default `OsgiApplicationContextCreator` implementation.

Author:
  Costin Leau
See Also:
  `DefaultOsgiApplicationContextCreator`, `OsgiApplicationContextCreator`

Method Summary
`String[]` | `getConfigurations(org.osgi.framework.Bundle bundle)` Returns an array of existing Spring configuration locations (as Strings) for the given bundle.

Method Detail

### getConfigurations

    String[] getConfigurations(org.osgi.framework.Bundle bundle)

  Returns an array of existing Spring configuration locations (as Strings) for the given bundle. If no resource was found, an empty/null array should be returned.

  Parameters:
    `bundle` - non-null bundle intended for scanning
  Returns:
    Spring configuration locations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.